FruxonDocs
ApiWorkflow runs

Gets the final output of a Workflow run.

Returns the completed run's final output and execution metadata. The run must belong to the Workflow identified in the route.

GET
/v1/tenants/{tenant}/workflows/{workflow}/runs/{run}/result
AuthorizationBearer <token>

JWT Authorization header using the Bearer scheme. Enter 'Bearer' [space] and then your token.

In: header

Path Parameters

workflow*string

The unique identifier of the Workflow.

run*string

The unique identifier of the Workflow run.

tenant*string

The tenant identifier

Response Body

curl -X GET "https://api.fruxon.com/v1/tenants/string/workflows/string/runs/string/result"
{
  "agentExecutionRecordId": "00000000-0000-0000-0000-000000000000",
  "agentId": "string",
  "agentRevision": 0,
  "parameters": {},
  "result": {
    "strValue": "string",
    "jsonValue": null,
    "fileLink": "string",
    "flowControl": null
  },
  "createdAt": 0,
  "tenantId": "00000000-0000-0000-0000-000000000000"
}
Empty
Empty
{
  "type": "string",
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string",
  "property1": null,
  "property2": null
}